namespace TM.TransSmart.Schemas {
    using Microsoft.XLANGs.BaseTypes;
    
    
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.BizTalk.Schema.Compiler", "3.0.1.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [SchemaType(SchemaTypeEnum.Document)]
    [System.SerializableAttribute()]
    [SchemaRoots(new string[] {@"shipmentStatus", @"pickupDate", @"currency", @"statusPrice", @"incoterms", @"NoPieces", @"reference", @"trackingUrl", @"shipment", @"documents", @"document", @"documentType", @"fileType", @"documentData", @"weight_uom", @"weight", @"statusTimeStamp", @"statusCode", @"status", @"root", @"price", @"plannedDeliveryDate", @"plannedDeliveryTimeTo", @"plannedDeliveryTimeFrom", @"deliveryDate", @"deliveryTime", @"pieces", @"piece", @"lineNo", @"carrierStatusDescription", 
@"carrierStatusCode", @"awb", @"acceptedBy"})]
    public sealed class nShift : Microsoft.XLANGs.BaseTypes.SchemaBase {
        
        [System.NonSerializedAttribute()]
        private static object _rawSchema;
        
        [System.NonSerializedAttribute()]
        private const string _strSchema = @"<?xml version=""1.0"" encoding=""utf-16""?>
<xs:schema xmlns=""http://TM.nShift.messages"" xmlns:b=""http://schemas.microsoft.com/BizTalk/2003"" targetNamespace=""http://TM.nShift.messages"" xmlns:xs=""http://www.w3.org/2001/XMLSchema"">
  <xs:element name=""shipmentStatus"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""8"" />
        <xs:enumeration value=""DONE"" />
        <xs:enumeration value=""TRNS"" />
        <xs:enumeration value=""ACCEP"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""pickupDate"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""8"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""currency"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""64"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""statusPrice"">
    <xs:simpleType>
      <xs:restriction base=""xs:decimal"">
        <xs:minInclusive value=""0"" />
        <xs:maxInclusive value=""11"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""incoterms"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""128"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""NoPieces"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""128"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""reference"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""256"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""trackingUrl"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""2048"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""shipment"">
    <xs:complexType>
      <xs:all>
        <xs:element minOccurs=""0"" ref=""lineNo"" />
        <xs:element minOccurs=""0"" ref=""statusTimeStamp"" />
        <xs:element minOccurs=""0"" ref=""awb"" />
        <xs:element minOccurs=""0"" ref=""reference"" />
        <xs:element minOccurs=""0"" maxOccurs=""1"" ref=""NoPieces"" />
        <xs:element minOccurs=""0"" ref=""weight"" />
        <xs:element minOccurs=""0"" ref=""weight_uom"" />
        <xs:element minOccurs=""0"" ref=""incoterms"" />
        <xs:element minOccurs=""0"" ref=""statusPrice"" />
        <xs:element minOccurs=""0"" ref=""currency"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryDate"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryTimeFrom"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryTimeTo"" />
        <xs:element minOccurs=""0"" ref=""deliveryDate"" />
        <xs:element minOccurs=""0"" ref=""deliveryTime"" />
        <xs:element minOccurs=""0"" ref=""acceptedBy"" />
        <xs:element minOccurs=""0"" ref=""pickupDate"" />
        <xs:element minOccurs=""0"" ref=""shipmentStatus"" />
        <xs:element minOccurs=""0"" ref=""carrierStatusCode"" />
        <xs:element minOccurs=""0"" ref=""carrierStatusDescription"" />
        <xs:element minOccurs=""0"" ref=""trackingUrl"" />
        <xs:element minOccurs=""0"" ref=""documents"" />
      </xs:all>
    </xs:complexType>
  </xs:element>
  <xs:element name=""documents"">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs=""unbounded"" ref=""document"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name=""document"">
    <xs:complexType>
      <xs:all>
        <xs:element ref=""documentType"" />
        <xs:element ref=""fileType"" />
        <xs:element ref=""documentData"" />
      </xs:all>
    </xs:complexType>
  </xs:element>
  <xs:element name=""documentType"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""10"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""fileType"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""10"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""documentData"" type=""xs:string"" />
  <xs:element name=""weight_uom"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""3"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""weight"">
    <xs:simpleType>
      <xs:restriction base=""xs:decimal"">
        <xs:minInclusive value=""0"" />
        <xs:maxInclusive value=""11"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""statusTimeStamp"" type=""xs:anyType"" />
  <xs:element name=""statusCode"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""8"" />
        <xs:enumeration value=""DONE"" />
        <xs:enumeration value=""TRNS"" />
        <xs:enumeration value=""ACCEP"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""status"">
    <xs:complexType>
      <xs:sequence>
        <xs:element minOccurs=""0"" ref=""pieces"" />
        <xs:element minOccurs=""0"" maxOccurs=""unbounded"" ref=""shipment"" />
      </xs:sequence>
      <xs:attribute name=""carrier"" use=""required"">
        <xs:simpleType>
          <xs:restriction base=""xs:string"" />
        </xs:simpleType>
      </xs:attribute>
    </xs:complexType>
  </xs:element>
  <xs:element name=""root"">
    <xs:complexType>
      <xs:sequence>
        <xs:element ref=""status"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name=""price"">
    <xs:simpleType>
      <xs:restriction base=""xs:decimal"">
        <xs:minInclusive value=""0"" />
        <xs:maxInclusive value=""11"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""plannedDeliveryDate"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""8"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""plannedDeliveryTimeTo"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""6"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""plannedDeliveryTimeFrom"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""6"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""deliveryDate"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""8"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""deliveryTime"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""6"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""pieces"">
    <xs:complexType>
      <xs:sequence>
        <xs:element maxOccurs=""unbounded"" ref=""piece"" />
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:element name=""piece"">
    <xs:complexType>
      <xs:all>
        <xs:element ref=""lineNo"" />
        <xs:element minOccurs=""0"" ref=""statusTimeStamp"" />
        <xs:element ref=""awb"" />
        <xs:element minOccurs=""0"" ref=""weight"" />
        <xs:element minOccurs=""0"" ref=""weight_uom"" />
        <xs:element minOccurs=""0"" ref=""price"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryDate"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryTimeFrom"" />
        <xs:element minOccurs=""0"" ref=""plannedDeliveryTimeTo"" />
        <xs:element minOccurs=""0"" ref=""deliveryDate"" />
        <xs:element minOccurs=""0"" ref=""deliveryTime"" />
        <xs:element minOccurs=""0"" ref=""acceptedBy"" />
        <xs:element minOccurs=""0"" ref=""statusCode"" />
        <xs:element minOccurs=""0"" ref=""carrierStatusCode"" />
        <xs:element minOccurs=""0"" ref=""carrierStatusDescription"" />
        <xs:element minOccurs=""0"" ref=""documents"" />
      </xs:all>
    </xs:complexType>
  </xs:element>
  <xs:element name=""lineNo"" type=""xs:int"" />
  <xs:element name=""carrierStatusDescription"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""128"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""carrierStatusCode"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""16"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""awb"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""256"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
  <xs:element name=""acceptedBy"">
    <xs:simpleType>
      <xs:restriction base=""xs:string"">
        <xs:minLength value=""0"" />
        <xs:maxLength value=""64"" />
      </xs:restriction>
    </xs:simpleType>
  </xs:element>
</xs:schema>";
        
        public nShift() {
        }
        
        public override string XmlContent {
            get {
                return _strSchema;
            }
        }
        
        public override string[] RootNodes {
            get {
                string[] _RootElements = new string [33];
                _RootElements[0] = "shipmentStatus";
                _RootElements[1] = "pickupDate";
                _RootElements[2] = "currency";
                _RootElements[3] = "statusPrice";
                _RootElements[4] = "incoterms";
                _RootElements[5] = "NoPieces";
                _RootElements[6] = "reference";
                _RootElements[7] = "trackingUrl";
                _RootElements[8] = "shipment";
                _RootElements[9] = "documents";
                _RootElements[10] = "document";
                _RootElements[11] = "documentType";
                _RootElements[12] = "fileType";
                _RootElements[13] = "documentData";
                _RootElements[14] = "weight_uom";
                _RootElements[15] = "weight";
                _RootElements[16] = "statusTimeStamp";
                _RootElements[17] = "statusCode";
                _RootElements[18] = "status";
                _RootElements[19] = "root";
                _RootElements[20] = "price";
                _RootElements[21] = "plannedDeliveryDate";
                _RootElements[22] = "plannedDeliveryTimeTo";
                _RootElements[23] = "plannedDeliveryTimeFrom";
                _RootElements[24] = "deliveryDate";
                _RootElements[25] = "deliveryTime";
                _RootElements[26] = "pieces";
                _RootElements[27] = "piece";
                _RootElements[28] = "lineNo";
                _RootElements[29] = "carrierStatusDescription";
                _RootElements[30] = "carrierStatusCode";
                _RootElements[31] = "awb";
                _RootElements[32] = "acceptedBy";
                return _RootElements;
            }
        }
        
        protected override object RawSchema {
            get {
                return _rawSchema;
            }
            set {
                _rawSchema = value;
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"shipmentStatus")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"shipmentStatus"})]
        public sealed class shipmentStatus : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public shipmentStatus() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "shipmentStatus";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"pickupDate")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"pickupDate"})]
        public sealed class pickupDate : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public pickupDate() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "pickupDate";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"currency")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"currency"})]
        public sealed class currency : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public currency() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "currency";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"statusPrice")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"statusPrice"})]
        public sealed class statusPrice : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public statusPrice() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "statusPrice";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"incoterms")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"incoterms"})]
        public sealed class incoterms : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public incoterms() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "incoterms";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"NoPieces")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"NoPieces"})]
        public sealed class NoPieces : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public NoPieces() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "NoPieces";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"reference")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"reference"})]
        public sealed class reference : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public reference() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "reference";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"trackingUrl")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"trackingUrl"})]
        public sealed class trackingUrl : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public trackingUrl() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "trackingUrl";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"shipment")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"shipment"})]
        public sealed class shipment : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public shipment() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "shipment";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"documents")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"documents"})]
        public sealed class documents : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public documents() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "documents";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"document")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"document"})]
        public sealed class document : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public document() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "document";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"documentType")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"documentType"})]
        public sealed class documentType : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public documentType() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "documentType";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"fileType")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"fileType"})]
        public sealed class fileType : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public fileType() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "fileType";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"documentData")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"documentData"})]
        public sealed class documentData : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public documentData() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "documentData";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"weight_uom")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"weight_uom"})]
        public sealed class weight_uom : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public weight_uom() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "weight_uom";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"weight")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"weight"})]
        public sealed class weight : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public weight() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "weight";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"statusTimeStamp")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"statusTimeStamp"})]
        public sealed class statusTimeStamp : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public statusTimeStamp() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "statusTimeStamp";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"statusCode")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"statusCode"})]
        public sealed class statusCode : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public statusCode() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "statusCode";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"status")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"status"})]
        public sealed class status : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public status() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "status";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"root")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"root"})]
        public sealed class root : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public root() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "root";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"price")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"price"})]
        public sealed class price : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public price() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "price";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"plannedDeliveryDate")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"plannedDeliveryDate"})]
        public sealed class plannedDeliveryDate : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public plannedDeliveryDate() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "plannedDeliveryDate";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"plannedDeliveryTimeTo")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"plannedDeliveryTimeTo"})]
        public sealed class plannedDeliveryTimeTo : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public plannedDeliveryTimeTo() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "plannedDeliveryTimeTo";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"plannedDeliveryTimeFrom")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"plannedDeliveryTimeFrom"})]
        public sealed class plannedDeliveryTimeFrom : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public plannedDeliveryTimeFrom() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "plannedDeliveryTimeFrom";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"deliveryDate")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"deliveryDate"})]
        public sealed class deliveryDate : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public deliveryDate() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "deliveryDate";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"deliveryTime")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"deliveryTime"})]
        public sealed class deliveryTime : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public deliveryTime() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "deliveryTime";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"pieces")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"pieces"})]
        public sealed class pieces : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public pieces() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "pieces";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"piece")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"piece"})]
        public sealed class piece : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public piece() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "piece";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"lineNo")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"lineNo"})]
        public sealed class lineNo : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public lineNo() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "lineNo";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"carrierStatusDescription")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"carrierStatusDescription"})]
        public sealed class carrierStatusDescription : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public carrierStatusDescription() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "carrierStatusDescription";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"carrierStatusCode")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"carrierStatusCode"})]
        public sealed class carrierStatusCode : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public carrierStatusCode() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "carrierStatusCode";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"awb")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"awb"})]
        public sealed class awb : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public awb() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "awb";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
        
        [Schema(@"http://TM.nShift.messages",@"acceptedBy")]
        [System.SerializableAttribute()]
        [SchemaRoots(new string[] {@"acceptedBy"})]
        public sealed class acceptedBy : Microsoft.XLANGs.BaseTypes.SchemaBase {
            
            [System.NonSerializedAttribute()]
            private static object _rawSchema;
            
            public acceptedBy() {
            }
            
            public override string XmlContent {
                get {
                    return _strSchema;
                }
            }
            
            public override string[] RootNodes {
                get {
                    string[] _RootElements = new string [1];
                    _RootElements[0] = "acceptedBy";
                    return _RootElements;
                }
            }
            
            protected override object RawSchema {
                get {
                    return _rawSchema;
                }
                set {
                    _rawSchema = value;
                }
            }
        }
    }
}
